opal/class/ Directory Reference.TH "opal/class/ Directory Reference" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/class/ Directory Reference \- 
.SS "Files"

.in +1c
.ti -1c
.RI "file \fBopal_free_list.c\fP"
.br
.ti -1c
.RI "file \fBopal_free_list.h\fP"
.br
.ti -1c
.RI "file \fBopal_hash_table.c\fP"
.br
.ti -1c
.RI "file \fBopal_hash_table.h\fP"
.br
.RI "\fIA hash table that may be indexed with either fixed length (e.g. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBopal_list.c\fP"
.br
.ti -1c
.RI "file \fBopal_list.h\fP"
.br
.RI "\fIThe opal_list_t interface is used to provide a generic doubly-linked list container for Open MPI. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBopal_object.c\fP"
.br
.RI "\fIImplementation of \fBopal_object_t\fP, the base opal foundation class. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBopal_object.h\fP"
.br
.RI "\fIA simple C-language object-oriented system with single inheritance and ownership-based memory management using a retain/release model. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBopal_value_array.c\fP"
.br
.ti -1c
.RI "file \fBopal_value_array.h\fP"
.br
.in -1c
